services:
  searxng:
    container_name: searxng
    user: "1010:1010"
    image: searxng/searxng
    ports:
      - 127.0.0.1:8888:8080
    environment:
      - BASE_URL=http://localhost:8888
      - INSTANCE_NAME=Freedombox Search
    volumes:
      - ./searxng:/etc/searxng
    restart: unless-stopped
    networks:
      - docker-network

networks:
  docker-network:
    external: true
